# Generated by rust2rpm
%bcond_without check

%global crate docopt

Name:           rust-%{crate}
Version:        0.8.3
Release:        2%{?dist}
Summary:        Command line argument parsing

License:        Unlicense or MIT
URL:            https://crates.io/crates/docopt
Source0:        https://crates.io/api/v1/crates/%{crate}/%{version}/download#/%{crate}-%{version}.crate

ExclusiveArch:  %{rust_arches}

BuildRequires:  rust-packaging
# [dependencies]
BuildRequires:  (crate(lazy_static) >= 1.0.0 with crate(lazy_static) < 2.0.0)
BuildRequires:  (crate(regex) >= 0.2.0 with crate(regex) < 0.3.0)
BuildRequires:  (crate(serde) >= 1.0.0 with crate(serde) < 2.0.0)
BuildRequires:  (crate(serde_derive) >= 1.0.0 with crate(serde_derive) < 2.0.0)
BuildRequires:  (crate(strsim) >= 0.6.0 with crate(strsim) < 0.7.0)

%description
%{summary}.

%package     -n %{crate}
Summary:        %{summary}

%description -n %{crate}
%{summary}.

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel
Command line argument parsing.

This package contains library source intended for building other packages
which use %{crate} from crates.io.

%prep
%autosetup -n %{crate}-%{version} -p1
t=$(stat -c %y completions/docopt-wordlist.bash)
sed -r -i -e "s|(DOCOPT_WORDLIST_BIN=)(.+/docopt-wordlist)|\1%{_bindir}/docopt-wordlist|" completions/docopt-wordlist.bash
touch -d "$t" completions/docopt-wordlist.bash
%cargo_prep

%build
%cargo_build

%install
%cargo_install
install -Dpm0644 -t %{buildroot}%{_datadir}/bash-completion/completions completions/docopt-wordlist.bash

%if %{with check}
%check
%cargo_test
%endif

%files       -n %{crate}
%license COPYING LICENSE-MIT UNLICENSE
%doc README.md
%{_bindir}/docopt-wordlist
%dir %{_datadir}/bash-completion
%dir %{_datadir}/bash-completion/completions
%{_datadir}/bash-completion/completions/docopt-wordlist.bash

%files          devel
%license COPYING LICENSE-MIT UNLICENSE
%doc README.md
%{cargo_registry}/%{crate}-%{version}/
%exclude %{cargo_registry}/%{crate}-%{version}/{Makefile,completions,ctags.rust,scripts,session.vim}

%changelog
* Mon Jan 08 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.8.3-2
- Rebuild for rust-packaging v5

* Tue Jan 02 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.8.3-1
- Update to 0.8.3

* Thu Nov 30 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.8.1-2
- Bump lazy_static to 1

* Thu Nov 09 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.8.1-1
- Initial package
